 /**
 * PAGINATION
 *
*/
@layer components {
    .rtds-pagination {
        @apply  rtds-flex rtds-p-2;
    }

    .rtds-pagination__list {
        @apply rtds-flex rtds-gap-2 rtds-flex-wrap;
    }

    .rtds-pagination__link {
        @apply rtds-flex rtds-items-center rtds-justify-center rtds-h-7 md:rtds-h-8 rtds-transition-all;
    }

    .rtds-pagination__link-button {
        @apply rtds-w-7 md:rtds-w-8 rtds-border rtds-rounded rtds-border-gray-01 rtds-bg-white hover:rtds-background-02;
    }

    .rtds-pagination__link-text {
        @apply rtds-text-xs md:rtds-text-sm rtds-font-medium hover:rtds-underline;
    }

    .rtds-pagination--rounded .rtds-pagination__link-button {
        @apply rtds-rounded-full;
    }

    .rtds-pagination-wrapper {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        gap: var(--spacing-4);
    }

    .rtds-pagination-wrapper--centered {
        justify-content: center;
    }

    :where(.rtds-pagination__link)[aria-disabled="true"] {
        color: var(--color-content-disabled);
        background-color: var(--color-background-02);
        border-color: var(--color-background-03);
        cursor: default;
        pointer-events: none;
    }

    .rtds-pagination__total {
        font-size: var(--fontsize-text-sm);
        color: var(--color-content-03);
        align-self: center;
        margin: 0;
        padding: var(--spacing-2);
    }

    .rtds-pagination-per-page {
        display: flex;
        align-items: center;
        gap: var(--spacing-2);
    }
}
